package controllers

import (
	"strconv"
	"time"
	"voting/utils"
)

// Operations about object
type ObjectController struct {
	BaseController
}

// @Title Create
// @Description create object
// @Param	body		body 	models.Object	true		"The object content"
// @Success 200 {string} object URL
// @Failure 403 body is empty
// @router / [post]
func (c *ObjectController) Post() {
	fNameExtra := strconv.FormatInt(time.Now().Unix(), 10)

	fileURL, err := utils.UploadFileToBucket(c.Ctx.Request, "file", fNameExtra)
	if err != nil {
		c.ResponseError(err)
	}

	c.ResponseJSON(map[string]interface{}{
		"url": fileURL,
	})
}
