package utils

import (
	"github.com/astaxie/beego"
)

type Logger struct{}

var logger *Logger

func GetLogger() *Logger {
	if logger == nil {
		logger = new(Logger)
	}

	return logger
}

func (l *Logger) Critical(v string, o ...interface{}) {
	f := []interface{}{v}

	if o != nil && len(o) > 0 {
		f = append(f, o...)
	}

	beego.Critical(f)
}

func (l *Logger) Error(v string, o ...interface{}) {
	f := []interface{}{v}

	if o != nil && len(o) > 0 {
		f = append(f, o...)
	}

	beego.Error(f)
}

func (l *Logger) Warning(v string, o ...interface{}) {
	f := []interface{}{v}

	if o != nil && len(o) > 0 {
		f = append(f, o...)
	}

	beego.Warning(f)
}

func (l *Logger) Info(v string, o ...interface{}) {
	f := []interface{}{v}

	if o != nil && len(o) > 0 {
		f = append(f, o...)
	}

	beego.Info(f)
}

func (l *Logger) Debug(v string, o ...interface{}) {
	f := []interface{}{v}

	if o != nil && len(o) > 0 {
		f = append(f, o...)
	}

	beego.Debug(f)
}
